<?php
	
	include_once( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );

	/**
	 * implements the main view of the feed reader plugin
	 */
	class PluginWeatherConfigView extends AdminPluginTemplatedView
	{

		function PluginWeatherConfigView( $blogInfo )
		{
			$this->AdminPluginTemplatedView( $blogInfo, "weather", "weather" );
		}
		
		function render()
		{
			// load some configuration settings
			$blogSettings = $this->_blogInfo->getSettings();
			$pluginEnabled = $blogSettings->getValue( "plugin_weather_enabled" );

			$area = $blogSettings->getValue( "plugin_weather_area");
			$width = $blogSettings->getValue( "plugin_weather_width");
			$height = $blogSettings->getValue( "plugin_weather_height");

			// create a view and export the settings to the template
			$this->setValue( "pluginEnabled", $pluginEnabled );
			$this->setValue( "area", $area );
			$this->setValue( "width", $width );
			$this->setValue( "height", $height );
		
			parent::render();
		}
	}
?>
